Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io
Class Arc2Warc

    java.lang.Object
      org.archive.io.Arc2Warc

    public class Arc2Warc

extends java.lang.Object

Convert ARCs to (sortof) WARCs.

Version:
  $Date: 2008-03-26 01:04:12 +0000 (Wed, 26 Mar 2008) $ $Revision: 5800 $
Author:
  stack

Constructor Summary
`Arc2Warc()`

Method Summary
`static void` | `main(java.lang.String[] args)` Command-line interface to Arc2Warc.
`protected void` | `transform(ARCReader reader, java.io.File warc)`
`void` | `transform(java.io.File arc, java.io.File warc, boolean force)`
`protected void` | `write(WARCWriter writer, ARCRecord r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Arc2Warc

    public Arc2Warc()

Method Detail

### transform

    public void transform(java.io.File arc,
                          java.io.File warc,
                          boolean force)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### transform

    protected void transform(ARCReader reader,
                             java.io.File warc)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    protected void write(WARCWriter writer,
                         ARCRecord r)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)
                     throws org.apache.commons.cli.ParseException,
                            java.io.IOException,
                            java.text.ParseException

  Command-line interface to Arc2Warc.

  Parameters:
    `args` - Command-line arguments.
  Throws:
    `org.apache.commons.cli.ParseException` - Failed parse of the command line.
    `java.io.IOException`
    `java.text.ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.